Gantt: right and left resizable panel

2015-08-05 11:19 - Alessandro Zucchi

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed   

Description

It would be useful which right  and left panel were resizable

Related issues:

Related to Redmine - Feature #8491: [Gantt] Wrap words in issue names Closed 2011-06-01

Related to Redmine - Feature #17660: Gantt chart-increase column size of issu... Closed

Related to Redmine - Defect #31268: Fix gaps in resizable gantt chart Closed

Related to Redmine - Feature #31468: Gantt: Resize left side to the length of... New

Blocks Redmine - Feature #26409: Show assignee on gantt Closed

Associated revisions

Revision 17026 - 2017-11-25 14:51 - Go MAEDA

Make gantt columns resizable (#20481).

Contributed by Mizuki ISHIKAWA.

History

#1 - 2015-08-31 05:49 - Toshi MARUYAMA

- Subject changed from Gantt to Gantt: right and left resizable panel

#2 - 2015-09-28 13:34 - Alessandro Zucchi

Could be OK also wrap the text if resize is a problem.

#3 - 2017-07-12 06:46 - Mizuki ISHIKAWA

- File change_to_right_and_left_resizable_panel.patch added

I wrote a patch to implement this feature. The subject column in gantt will be resizable by this patch.

It supports only desktop screen for now (mobile screen is not supported). But I think it is useful for many people even without supporting mobile

screen.

#4 - 2017-07-12 08:21 - Alessandro Zucchi

Great!

Have you idea when and if will be committed on a stable versione ?

Alessandro

#5 - 2017-07-12 09:21 - Go MAEDA

- File 20481-demo.gif added

- Target version set to 4.1.0

I think this is great UI improvement. Please see this demo: 20481-demo.gif

People sometimes complain about cropped subjects in gantt. This feature can resolve such problem.

#6 - 2017-07-13 05:52 - Hirofumi Kadoya
+1

#7 - 2017-07-13 05:57 - Yasukazu Nagatomi

Great!

This idea is very good.

#8 - 2017-07-13 08:45 - Akipii Oga

+1

The deeper hierarchy tickets, the more you want to expand the panel, it is a very desirable feature.

#9 - 2017-07-13 10:20 - Go MAEDA

- Related to Feature #8491: [Gantt] Wrap words in issue names added

#10 - 2017-07-25 10:27 - Mizuki ISHIKAWA

- File change_to_right_and_left_resizable_panel_v2.patch added

There were some minor problems with the previous version, so I fixed it.

#11 - 2017-07-28 07:53 - Go MAEDA

- Blocks Feature #26409: Show assignee on gantt added

#12 - 2017-09-01 15:01 - Mike Daniels

Hello Everyone. I can't seem to apply the patch. I am very new to redmine. I am getting a

can't find file to patch at input line 5

Perhaps you used the wrong -p or --strip option?

The text leading up to this was:

--------------------------

|diff --git a/app/views/gantts/show.html.erb b/app/views/gantts/show.html.erb

|index 9a74f72ba..9703e962e 100644

|--- a/app/views/gantts/show.html.erb

|+++ b/app/views/gantts/show.html.erb

--------------------------

File to patch: ^C

 Please let me know if you can help

#13 - 2017-09-01 15:04 - Mike Daniels

Note: I did the following

cd /var/www/redmine

mkdir patches

cd patches/

wget http://www.redmine.org/attachments/download/18826/change_to_right_and_left_resizable_panel_v2.patch

cd .. -- Now  I am back in the /var/www/redmine directory

sudo patch -p0 > /var/www/redmine/patches/change_to_right_and_left_resizable_panel_v2.patch

#14 - 2017-09-03 13:14 - Mike Daniels

Mizuki ISHIKAWA wrote:

There were some minor problems with the previous version, so I fixed it.

 Mizuki, Can you please take a look at my above comments. Please tell me what I am doing wrong applying your patch.

#15 - 2017-09-04 02:10 - Mizuki ISHIKAWA

Mike Daniels wrote:

sudo patch -p0 > /var/www/redmine/patches/change_to_right_and_left_resizable_panel_v2.patch

 Please change the command as follows.

sudo patch -p1 < /var/www/redmine/patches/change_to_right_and_left_resizable_panel_v2.patch
#16 - 2017-09-04 09:05 - Mike Daniels

Mizuki ISHIKAWA wrote:

Mike Daniels wrote:

sudo patch -p0 > /var/www/redmine/patches/change_to_right_and_left_resizable_panel_v2.patch

 Please change the command as follows.

[...]

 Thank you. I did this and it worked. Now I am trying to install another one of your patches and having a problem. I will write you there.

#17 - 2017-11-25 15:00 - Go MAEDA

- Status changed from New to Closed

- Target version changed from 4.1.0 to 4.0.0

Committed in the trunk.

Thank you for improving Redmine.

#18 - 2017-11-25 16:42 - Go MAEDA

- Assignee set to Go MAEDA

- Resolution set to Fixed

#19 - 2017-11-27 09:51 - Go MAEDA

- Related to Feature #17660: Gantt chart-increase column size of issue description added

#20 - 2019-04-26 12:36 - Felix Gliesche

- File before.png added

- File after.png added

- File 0001-Fix-gaps-in-resizable-gantt-chart.patch added

I found a small problem, after this patch has been applied. There is some space between the left and right column of the gantt chart:

 before.png 

I am attaching a patch, that fixes this patch:

 after.png 

This functionality is a great addition to the UI btw. Thanks!

#21 - 2019-04-27 05:12 - Go MAEDA

- Related to Defect #31268: Fix gaps in resizable gantt chart added

#22 - 2019-04-27 05:15 - Go MAEDA

Felix Gliesche wrote:

I found a small problem, after this patch has been applied. There is some space between the left and right column of the gantt chart:

 Thank you for reporting this. Since this issue is closed and the change has already been delivered, I have opened another issue #31268 for the

problem you fixed.

#23 - 2019-05-28 16:46 - Go MAEDA

- Related to Feature #31468: Gantt: Resize left side to the length of written text or save last resize parameters per Project added

#24 - 2024-06-18 08:18 - Jimmy Gong

Felix Gliesche wrote in #note-20:

I found a small problem, after this patch has been applied. There is some space between the left and right column of the gantt chart:

I am attaching a patch, that fixes this patch:
This functionality is a great addition to the UI btw. Thanks!

 Hi Felix, could you please help make such patch for Redemine 3.3.3? I tried to apply change_to_right_and_left_resizable_panel_v2.patch to my

Redmine 3.3.3, but seems the files content have been changed, and it can't be patch directly even though I modified the file path in patch file to be

corresponding with the path of my redmine installed. then, I tried modified my redmine files' code according to the modification content in this patch

file, and restart redmine(subversion,mysql, apache), but left side of gannt is still not resizable. seems this modification is not suitable for Redmine

3.3.3.

Files

change_to_right_and_left_resizable_panel.patch 2.21 KB 2017-07-12 Mizuki ISHIKAWA

20481-demo.gif 125 KB 2017-07-12 Go MAEDA

change_to_right_and_left_resizable_panel_v2.patch 2.42 KB 2017-07-25 Mizuki ISHIKAWA

before.png 50.1 KB 2019-04-26 Felix Gliesche

after.png 51.6 KB 2019-04-26 Felix Gliesche

0001-Fix-gaps-in-resizable-gantt-chart.patch 1.55 KB 2019-04-26 Felix Gliesche

Powered by TCPDF (www.tcpdf.org)

2025-05-01 4/4

http://www.tcpdf.org

